package opts

import (
	"google.golang.org/grpc"

	"gitea.libretechconsulting.com/rmcguire/go-app/pkg/config"
)

type GRPCOpts struct {
	*config.GRPCConfig
	*AppGRPC
}

type AppGRPC struct {
	Services           []*GRPCService
	UnaryInterceptors  []grpc.UnaryServerInterceptor
	StreamInterceptors []grpc.StreamServerInterceptor
	GRPCOpts           []grpc.ServerOption
	GRPCDone           <-chan error
}

type GRPCService struct {
	Name    string            // Descriptive name of service
	Type    *grpc.ServiceDesc // Type (from protoc generated code)
	Service any               // Implementation of GRPCService.Type (ptr)
}
