package opts

import (
	"context"
	"net"
	"net/http"
)

type AppHTTP struct {
	Ctx            context.Context
	Funcs          []HTTPFunc
	Middleware     []http.Handler
	HealthChecks   []HealthCheckFunc
	CustomListener net.Listener
	HTTPDone       <-chan any
}

type HTTPFunc struct {
	Path        string
	HandlerFunc http.HandlerFunc
}

type HealthCheckFunc func(context.Context) error
